<div class="offer-item">
  <div>
    <p class="name">{{ offer?.name }}</p>
    <li class="action" [ngClass]="offer?.action" *ngIf="offer?.action">
      <span>{{ offer?.action.replace("-", " ") }}</span>
    </li>
  </div>
  <div>
    <div class="status" [ngClass]="statusLabel">
      <i
        class="uil"
        [ngClass]="OFFER_STATUS_ICONS[statusLabel.toUpperCase()]"
      ></i>
      <p>{{ statusLabel | titlecase }}</p>
    </div>
  </div>
</div>
